%define	name	smtptools
%define	version	0.2.3
%define	release	1mdk

Summary:	Tools for the Simple Mail Transfer Protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.ohse.de/uwe/software/smtptools.html
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	dietlibc-devel >= 0.20
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This collection of commands contains tools to send and receive
messsages with SMTP.

* smtpblast can be used to send messages to remote hosts without
  having to deal with the local mail system.

* tomaildir writes a single message from a file or stdin to a
  maildir.

* maildirblast can send the contents of a maildir through smtp.
  It may either use a relay host or MX records. See the
  manualpage.

This package does not provide the usmtpd server (replacement for
the qmail-smtpd) as it would imply qmail is required.

%prep

%setup -q

%build
export CFLAGS="-Os -static -s -D_BSD_SOURCE -D_GNU_SOURCE"
export GCC="diet -Os gcc -Os -pipe"
export CC="diet -Os gcc -Os -pipe"
export LIBS=""

%configure

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall

# remove the usmtpd as it would imply qmail is really needed...
rm -rf %{buildroot}%{_sbindir}
rm -f %{buildroot}%{_mandir}/man1/usmtpd.1

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README README.cvs README.smtpblast README.tomaildir
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2.3-1mdk
- initial mandrake package (re-added?)
